### Method

# Clutter ShaderEffect set_shader_source

#### Declaration [src]

    gboolean
    clutter_shader_effect_set_shader_source (
      ClutterShaderEffect* effect,
      const gchar* source
    )

#### Description [src]

Sets the source of the GLSL shader used by `effect`

This function should only be called by implementations of the `ClutterShaderEffect` class, and not by application code.

This function can only be called once; subsequent calls will yield no result.

#### Parameters

`source`

  Type: `const gchar*`

  The source of a GLSL shader.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the source was set.